---
title: filter
slug: Web/SVG/Attribute/filter
tags:
  - SVG
  - SVG Attribute
  - SVG Filter
---
<div>{{SVGRef}}</div>

<p>The <code><strong>filter</strong></code> attribute specifies the filter effects defined by the {{SVGElement("filter")}} element that shall be applied to its element.</p>

<p class="note"><strong>Note:</strong> As a presentation attribute, <code>filter</code> can be used as a CSS property. See {{cssxref("filter", "CSS filter")}} for further information.</p>

<p>As a presentation attribute, it can be applied to any element but it only has effect on <a href="/en-US/docs/Web/SVG/Element#Container_elements">container elements</a> without the {{SVGElement("defs")}} element, all <a href="/en-US/docs/Web/SVG/Element#Graphics_elements">graphics elements</a> and the {{SVGElement("use")}} element.</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html, body, svg {
  height: 100%;
}</pre>
</div>

<pre class="brush: html">&lt;svg viewBox="0 0 100 100" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;filter id="blur"&gt;
    &lt;feGaussianBlur stdDeviation="2" /&gt;
  &lt;/filter&gt;

  &lt;rect x="10" y="10" width="80" height="80" filter="url(#blur)" /&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample("topExample", "220", "220")}}</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>none</code> <a href="/en-US/docs/CSS/Value_definition_syntax#Single_bar" title="Single bar: exactly one of the entities must be present">|</a> <code>&lt;filter-function-list&gt;</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>none</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<p>For a description of the values see the {{cssxref("filter","CSS filter")}} property.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Filters 1.0", "#FilterProperty", "filter")}}</td>
   <td>{{Spec2("Filters 1.0")}}</td>
   <td>Extended the values by several special filter functions.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "filters.html#FilterProperty", "filter")}}</td>
   <td>{{Spec2('SVG1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser compatibility</h2>

<p>{{Compat("svg.attributes.presentation.filter")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("filter")}}</li>
 <li>{{cssxref("filter","CSS filter")}}</li>
</ul>
